Bug 986202 - quota: unnecessary messages in quotad.log
quota: unnecessary messages in quotad.log
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 04:35 EDT by Saurabh
Modified: 2016-01-19 01:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 04:54:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-07-19 04:35:57 EDT
Description of problem:

time and again some unnecessary messages have filled quotad.log

[root@nfs1 ~]# gluster volume quota quota-dist-rep list
                  Path                   Hard-limit Soft-limit   Used  Available
--------------------------------------------------------------------------------
/                                           30GB       90%      24.9GB   5.1GB
/dir1                                        2GB       90%       2.0GB   1.0MB
/dir2                                        2GB       90%       2.0GB   1.1MB
/dir3                                        2GB       90%       6.9GB  0Bytes
/dir4                                        2GB       90%       2.0GB   1.1MB
/dir5                                        2GB       90%       2.0GB   1.1MB
/dir6                                        2GB       90%       2.0GB  0Bytes
/dir7                                        2GB       90%       2.0GB  64.0KB
/dir8                                        2GB       90%       2.0GB  0Bytes
/dir9                                        2GB       90%       2.0GB  0Bytes
/dir10                                       2GB       90%       2.0GB   1.1MB


[2013-07-18 21:37:09.645046] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir1
[2013-07-18 21:37:09.647784] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir2
[2013-07-18 21:37:09.650790] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir3
[2013-07-18 21:37:11.656432] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir10
[2013-07-18 21:37:11.659647] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir9
[2013-07-18 21:37:11.662260] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir8
[2013-07-18 21:37:11.664645] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir7
[2013-07-18 21:37:11.667322] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir6
[2013-07-18 21:37:11.670210] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir5
[2013-07-18 21:37:11.672788] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir4
[2013-07-18 21:37:11.675436] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir1
[2013-07-18 21:37:11.678115] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir2
[2013-07-18 21:37:11.680912] I [quotad.c:431:qd_resolve_entry] 0-quota-dist-rep: path: /dir3

Version-Release number of selected component (if applicable):
[root@nfs1 ~]# rpm -qa | grep glusterfs
glusterfs-3.4.0.12rhs.beta4-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.12rhs.beta4-1.el6rhs.x86_64
glusterfs-server-3.4.0.12rhs.beta4-1.el6rhs.x86_64
[root@nfs1 ~]# 


How reproducible:
happening regularly

Expected results:
unnecessary logging should be avoided.

Additional info:
Comment 3 vpshastry 2013-09-04 04:54:12 EDT
This is no more valid with the current design.

Note You need to log in before you can comment on or make changes to this bug.